cast.hpp File Reference
`#include <cassert>`
`#include <cstdint>`
`#include <limits>`
`#include <type_traits>`
Include dependency graph for cast.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmium::are_real_integers< A, B >

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

template<typename T , typename F , typename std::enable_if< are_real_integers< T, F >::value &&std::is_same< T, F >::value, int >::type = 0>
T | osmium::static_cast_with_assert (const F value)
template<typename T , typename F >
T | osmium::static_cast_with_assert (const F value)